Bug 1016125 - IllegalArgumentException on Processing screen during installation on windows
IllegalArgumentException on Processing screen during installation on windows
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Windows
unspecified Severity urgent
: ER5
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 10:48 EDT by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:23:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-10-07 10:48:07 EDT
Description of problem:
 I am getting IllegalArgumentException from installer on Processing screen while installing EAP on windows.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER4

How reproducible:
 always

Steps to Reproduce:
 Just use default values where possible.

Actual results:
 Exception in thread "AWT-EventQueue-0" java.lang.IllegalArgumentException: bad position: 49
        at javax.swing.text.JTextComponent.setCaretPosition(JTextComponent.java:1678)
        at com.izforge.izpack.panels.ProcessPanel$1.run(ProcessPanel.java:253)
        at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
        at java.awt.EventQueue.access$200(EventQueue.java:103)
        at java.awt.EventQueue$3.run(EventQueue.java:694)
        at java.awt.EventQueue$3.run(EventQueue.java:692)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Expected results:
 No IllegalArgumentException during installation

Additional info:
 - Issue initially caught in BZ1015573
 - I am able to successfully finish installation
 - Regression against EAP 6.2.0.ER3 installer
Comment 1 Francisco Canas 2013-10-07 14:43:28 EDT
Installer will not output IAEs in windows anymore:

http://git.app.eng.bos.redhat.com/izpack.git/commit/?h=izpack-wip&id=a1d7b6246049c3fb0e4341533d8469f7f72b342c
Comment 2 Petr Kremensky 2013-10-08 02:45:50 EDT
Verified on EAP 6.2.0.ER5 installer.

Note You need to log in before you can comment on or make changes to this bug.